package carray.ast;

import polyglot.ast.NodeFactory;
import polyglot.ast.TypeNode;
import polyglot.util.Position;

/**
 * NodeFactory for carray extension.
 */
public interface CArrayNodeFactory extends NodeFactory {
    /**
     * Create a TypeNode for a const array type.
     * @param pos The position of this node.
     * @param base The base type of this node.  Could be ambiguous.
     * @return
     */
    ConstArrayTypeNode ConstArrayTypeNode(Position pos, TypeNode base);
}
