package carray.types;

import polyglot.types.Type;
import polyglot.types.TypeSystem;
import polyglot.util.Position;

public interface CArrayTypeSystem extends TypeSystem {
    /**
     * Construct a type object for a constant array of given base type.
     * The elements of the constant array cannot change after initialization.
     * @param pos The position of this type object.
     * @param base The base type of this constant array type.
     * @return
     */
    ConstArrayType constArrayOf(Position pos, Type base);
}
